---
sidebar_label: CustomError
---

# CustomError class

> Warning: This API is now obsolete.
>
> Do not use.

#### Signature:

```typescript
export declare class CustomError extends Error
```

**Extends:** Error

## Remarks

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `CustomError` class.
